Bug 90612 - Re-enable __declspec(dl{import,export}) for MinGW when using EXPORT_MACROS
Summary: Re-enable __declspec(dl{import,export}) for MinGW when using EXPORT_MACROS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jocelyn Turcotte
URL:
Keywords:
Depends on:
Blocks: 88321
  Show dependency treegraph
 
Reported: 2012-07-05 08:14 PDT by Jocelyn Turcotte
Modified: 2012-07-10 03:50 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.06 KB, patch)
2012-07-05 08:22 PDT, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff
Patch (2.08 KB, patch)
2012-07-05 08:26 PDT, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jocelyn Turcotte 2012-07-05 08:14:26 PDT
Re-enable __declspec(dl{import,export}) for MinGW when using EXPORT_MACROS
Comment 1 Jocelyn Turcotte 2012-07-05 08:22:46 PDT
Created attachment 150944 [details]
Patch
Comment 2 Jocelyn Turcotte 2012-07-05 08:26:44 PDT
Created attachment 150945 [details]
Patch

Fix a typo in the changelog
Comment 3 Laszlo Gombos 2012-07-08 18:45:30 PDT
Make sense to me.
Comment 4 Csaba Osztrogonác 2012-07-10 03:45:54 PDT
Comment on attachment 150945 [details]
Patch

rs=me to unbreak Windows debug build.
Comment 5 Csaba Osztrogonác 2012-07-10 03:49:59 PDT
Comment on attachment 150945 [details]
Patch

Clearing flags on attachment: 150945

Committed r122211: <http://trac.webkit.org/changeset/122211>
Comment 6 Csaba Osztrogonác 2012-07-10 03:50:07 PDT
All reviewed patches have been landed.  Closing bug.